> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hybrid Evaluation Metrics



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluations/{evaluation_id}/hybrid-eval-metrics
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluations/{evaluation_id}/hybrid-eval-metrics:
    get:
      tags:
        - Evaluations
      summary: Get Hybrid Evaluation Metrics
      operationId: GET-V4-/hybrid-eval-metrics
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HybridEvaluationMetricsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            hybrid_evaluation_metrics =
            client.evaluations.hybrid_eval_metrics.retrieve(
                "evaluation_id",
            )

            print(hybrid_evaluation_metrics.all_question_info)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\thybridEvaluationMetrics, err := client.Evaluations.HybridEvalMetrics.Get(context.TODO(), \"evaluation_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", hybridEvaluationMetrics.AllQuestionInfo)\n}\n"
components:
  schemas:
    HybridEvaluationMetricsResponse:
      properties:
        all_question_info:
          additionalProperties:
            $ref: '#/components/schemas/QuestionHybridEvalMetric'
          type: object
          title: All Question Info
          description: Information about all questions.
      type: object
      required:
        - all_question_info
      title: HybridEvaluationMetricsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuestionHybridEvalMetric:
      properties:
        question_type:
          type: string
          title: Question Type
        is_conditional_question:
          type: boolean
          title: Is Conditional Question
        question_title:
          type: string
          title: Question Title
        evaluation_question:
          type: string
          title: Evaluation Question
        choices:
          title: Choices
          items: {}
          type: array
        agreement_rate:
          type: number
          title: Agreement Rate
        num_correct:
          type: integer
          title: Num Correct
        num_wrong:
          type: integer
          title: Num Wrong
        num_inconclusive:
          type: integer
          title: Num Inconclusive
        num_free_text:
          type: integer
          title: Num Free Text
        total_tokens:
          type: number
          title: Total Tokens
        total_time:
          type: number
          title: Total Time
      type: object
      required:
        - question_type
        - is_conditional_question
        - question_title
        - evaluation_question
        - agreement_rate
        - num_correct
        - num_wrong
        - num_inconclusive
        - num_free_text
        - total_tokens
        - total_time
      title: QuestionHybridEvalMetric
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````